package com.mx.cneeds.server.wechat.common.codec;

import com.alibaba.fastjson.JSON;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToMessageEncoder;
import io.netty.handler.codec.http.websocketx.TextWebSocketFrame;

import java.util.List;

/**
 * @ClassName MessageToWebSocketEncoder
 * @Author zzrdark
 * @Date 2020-06-23 21:28
 * @Description TODO
 **/
public class MessageToWebSocketEncoder extends MessageToMessageEncoder<Invocation> {
    @Override
    protected void encode(ChannelHandlerContext ctx, Invocation invocation, List<Object> list) throws Exception {
        String toJsonString = JSON.toJSONString(invocation);

        list.add(new TextWebSocketFrame(toJsonString));
    }
}
